%define baserelease 1
#build with --define 'testbuild 1' to have a timestamp appended to release
%if 0%{?testbuild}
%define release %{baserelease}.%(date +%%Y%%m%%d.%%H%%M.%%S)
%else
%define release %{baserelease}
%endif
Name: koji-theme-fedora
Version: 3.0
Release: %{release}%{?dist}
License: GPLv2
Summary: Fedora koji theme
Group: Applications/Internet
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: koji-web
BuildRequires: make

%description
Makes the fedora koji web ui unique

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Authors COPYING README.md
%{_datadir}/koji-themes/fedora-koji
%config(noreplace) /etc/httpd/conf.d/00kojifedora.conf


%changelog
* Tue May 23 2023 Ryan Lerch <rlerch@redhat.com> - 3.0-1
- Release 3.0
- Updated to new version of the theme based on fedora-bootstrap

* Tue Jul 05 2022 Kevin Fenzi <kevin@scrye.com> - 2.1-2
- Add BuildRequires on make

* Thu Jan 22 2014 Dennis Gilmore <dennis@ausil.us> - 2.1-1
- update httpd config for apache 2.4

* Fri Feb 03 2012 Dennis Gilmore <dennis@ausil.us> 2.0-1
- pull in theme from ryan

* Mon Aug 24 2009 Dennis Gilmore <dennis@ausil.us> - 1.3-2
- add powered by koji button. 
- use new logo

* Fri Jul 31 2009 Dennis Gilmore <dennis@ausil.us> - 1.3-1
-initial build
